Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.survivor
Class SystemField

    java.lang.Object
      com.sun.mdm.index.survivor.SystemField

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class SystemField
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

The SystemField class represents a field in a system object. This class contains the parsed field names, as well as the operations needed to traverse the object graph to access the field. The current version assumes only one secondary object level.

See Also:
  Serialized Form

Constructor Summary
`SystemField(java.lang.String name, java.lang.Object value)` Creates a new instance of the SystemField class given the field name and field value.

Method Summary
`java.lang.Object` | `clone()` Returns an exact copy of the SystemField object.
`boolean` | `equals(SystemField f)` Determines whether the field name and field value between two fields are equal, and returns true if they are.
`java.lang.String` | `getName()` Retrieves the field name from an instance of SystemField.
`java.lang.Object` | `getValue()` Retrieves the field value from an instance of SystemField.
`int` | `hashCode()` Returns the hash code value for this SystemField object.
`void` | `setValue(java.lang.Object o)` Sets the value of the system field in an instance of SystemField.
`java.lang.String` | `toString()` Retrieves a string representation of the field name and field value from the SystemField object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemField

    public SystemField(java.lang.String name,
                       java.lang.Object value)

  Creates a new instance of the SystemField class given the field name and field value.

  Parameters:
    `name` - The name of the field.
    `value` - The value of the field.
  Throws:
    None.

Method Detail

### clone

    public java.lang.Object clone()

  Returns an exact copy of the SystemField object.

  Parameters:
    None.

  Returns:
    `Object` - A copy of the SystemField object.
  Throws:
    None.

### equals

    public boolean equals(SystemField f)

  Determines whether the field name and field value between two fields are equal, and returns true if they are. If the names and values are not equal, this method returns false.

  Parameters:
    `f` - The name of the field to compare against.
  Returns:
    `boolean` - An indicator of whether the field names and field values match. True indicates the names and values match in both fields; false indicates they do not match.
  Throws:
    None.

### getName

    public java.lang.String getName()

  Retrieves the field name from an instance of SystemField.

  Parameters:
    None.

  Returns:
    `String` - The name of the system field.
  Throws:
    None.

### getValue

    public java.lang.Object getValue()

  Retrieves the field value from an instance of SystemField.

  Parameters:
    None.

  Returns:
    `Object` - The value of the system field.
  Throws:
    None.

### hashCode

    public int hashCode()

  Returns the hash code value for this SystemField object.

  Parameters:
    None.

  Returns:
    `int` - A hash code value.
  Throws:
    None.

### setValue

    public void setValue(java.lang.Object o)

  Sets the value of the system field in an instance of SystemField.

  Parameters:
    `o` - The object containing the value to place in the field.
  Returns:
    `void` - None.
  Throws:
    None.

### toString

    public java.lang.String toString()

  Retrieves a string representation of the field name and field value from the SystemField object.

  Parameters:
    None.

  Returns:
    `String` - The name of the system field and its value.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.